GearmanClient::addTaskHigh
GearmanClient::addTaskLow
GearmanClient
PHP Manual

# GearmanClient::addTaskHighBackground

(PECL gearman >= 0.5.0)

GearmanClient::addTaskHighBackground — Add a high priority background task to be run in parallel

### Description

public GearmanTask GearmanClient::addTaskHighBackground ( string `$function_name` , string `$workload` [, mixed `&$context` [, string `$unique` ]] )

Adds a high priority background task to be run in parallel with other tasks. Call this method for all the tasks to be run in parallel, then call GearmanClient::runTasks() to perform the work. Tasks with a high priority will be selected from the queue before those of normal or low priority.

### Parameters

`function_name`

  A registered function the worker is to execute

`workload`

  Serialized data to be processed

`context`

  Application context to associate with a task

`unique`

  A unique ID used to identify a particular task

### Return Values

A GearmanTask object or `FALSE` if the task could not be added.

### See Also

- GearmanClient::addTask() - Add a task to be run in parallel
- GearmanClient::addTaskHigh() - Add a high priority task to run in parallel
- GearmanClient::addTaskLow() - Add a low priority task to run in parallel
- GearmanClient::addTaskBackground() - Add a background task to be run in parallel
- GearmanClient::addTaskLowBackground() - Add a low priority background task to be run in parallel
- GearmanClient::runTasks() - Run a list of tasks in parallel

GearmanClient::addTaskHigh
GearmanClient::addTaskLow
GearmanClient
PHP Manual